{ python3Packages, fetchFromGitHub, ... }:
python3Packages.buildPythonPackage rec {
  pname = "python-nanokvm";
  version = "v0.0.3";
  format = "pyproject";

  src = fetchFromGitHub {
    owner = "puddly";
    repo = pname;
    rev = version;
    sha256 = "sha256-jBBd+O3S/4AlxAhrF9j9Bi5vMKZNk0M17ok9JzcI8F8=";
  };

  buildInputs = with python3Packages; [
    setuptools
    setuptools-git-versioning
  ];

  nativeBuildInputs = with python3Packages; [
    aiohttp
    cryptography
    yarl
    pillow
    pydantic
  ];

  doCheck = false;
}
